Unscheduled Learners
curl --request GET \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/reports/unscheduledLearners \
--header 'token: <api-key>'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/reports/unscheduledLearners"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/reports/unscheduledLearners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>",
"count": 123,
"offset": 123,
"results": [
{
"sid": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"preferredEmail": "<string>",
"username": "<string>",
"mobilePhone": "<string>",
"homePhone": "<string>",
"address": "<string>",
"lmsId": "<string>",
"apiId": "<string>",
"sisId": "<string>",
"externalId": "<string>",
"latitude": 123,
"longitude": 123,
"lastEnrollmentSync": "<string>",
"currencyCode": "<string>",
"timeZoneSid": "<string>",
"maxTravelDistance": 123,
"maxTravelDistanceUnits": "<string>",
"createdDate": "<string>",
"editDate": "<string>",
"role": "<string>",
"enabled": true
}
]
}Reports
Unscheduled Learners
Returns a paginated list of students who have not yet scheduled their exam sessions.
GET
/
v1
/
installs
/
{installSid}
/
reports
/
unscheduledLearners
Unscheduled Learners
Authorizations
Path Parameters
Install Sid
Pattern:
^AI[a-f0-9]{32}$Query Parameters
Offset for pagination
Required range:
x >= 0Number of items to return
Required range:
x >= 0Course Sid
Pattern:
^CU[a-f0-9]{32}$Course Offering Sid
Pattern:
^CO[a-f0-9]{32}$Course Title
Course code
Exam title
learner first name
Learners last name
Learners email
Was this page helpful?
⌘I
